MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026538Open CASCADE[OCCT] OCCT:Visualizationpublic2015-08-10 15:072016-04-20 15:48
Reporterdbp 
Assigned Toski 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026538: Visualization - Infinite growth of matrix stack in OpenGl_Structure::Render
DescriptionIn OpenGl_Structure::Render, aCtx->ModelWorldState.Push() has no pair Pop method (it is not called). Therefore, FPS continously decreases to minimal values.
Steps To Reproducepload ALL
box b1 1 1 1
box b2 1 1 1
vdisplay b1
vdisplay b2
vsetlocation b2 10 10 10
vfit

vfps 1000 -> memory usage grows.
vfps 1000 -> memory usage grows.
vfps 1000 -> memory usage grows.
TagsNo tags attached.
Test case numberbugs vis bug26538
Attached Files

- Relationships

-  Notes
(0044091)
git (administrator)
2015-08-13 15:59

Branch CR26538 has been created by apl.

SHA-1: 8023df6fe86295dff645033cb40efd4955d80f30


Detailed log of new commits:

Author: apl
Date: Thu Aug 13 15:48:52 2015 +0300

    0026538: Visualization - Infinite growth of maxtrix stack in OpenGl_Structure::Render
(0044092)
apl (developer)
2015-08-13 16:02

Dear Denis,

Please review patch in CR26538.
(0044333)
dbp (developer)
2015-08-17 10:03

Dear bugmaster,

please test the patch.
(0044338)
git (administrator)
2015-08-17 12:16

Branch CR26538 has been updated forcibly by mkv.

SHA-1: a9a2dc0cfebd3d0e698ace0355a43fbc380fb361
(0044393)
mkv (tester)
2015-08-18 19:45

Dear BugMaster,
Branch CR26538 was rebased on current master of occt git-repository.
SHA-1: a9a2dc0cfebd3d0e698ace0355a43fbc380fb361
(0044394)
mkv (tester)
2015-08-18 19:47

Dear BugMaster,
Branch CR26538 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: a9a2dc0cfebd3d0e698ace0355a43fbc380fb361

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26538-master-occt-64/Debian70-64/bugs/vis/bug26538.html [^]
http://occt-tests/CR26538-master-occt-64/Windows-64-VC10/bugs/vis/bug26538.html [^]
bugs vis bug26538: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91394622 / 90742823 [+0.72%]
Total CPU difference: 17775.879999999044 / 17774.119999998962 [+0.01%]
products component :
Total MEMORY difference: 24820622 / 24839015 [-0.07%]
Total CPU difference: 6955.240000000012 / 6874.220000000016 [+1.18%]

Testing on Windows:
occt component :
Total MEMORY difference: 56759753 / 56810094 [-0.09%]
Total CPU difference: 16358.842063699516 / 16052.830502099314 [+1.91%]
products component :
Total MEMORY difference: 16017830 / 16017814 [+0.00%]
Total CPU difference: 5336.669409199988 / 5265.439352599951 [+1.35%]

There are no differences in images found by testdiff.
(0044395)
git (administrator)
2015-08-18 19:47

Branch CR26538 has been updated by mkv.

SHA-1: c81c5426ac95f60351e12ba6342a91b4953bbc3b


Detailed log of new commits:

Author: mkv
Date: Tue Aug 18 19:45:08 2015 +0300

    Test case for issue CR26538

(0044396)
mkv (tester)
2015-08-18 19:48

Dear apl,
could you please review following test case
bugs vis bug26538
(0044416)
apl (developer)
2015-08-19 12:48

Dear mkv,

The test case is reviewed.
(0044424)
git (administrator)
2015-08-19 13:36

Branch CR26538 has been updated by mkv.

SHA-1: e8fb63d2d952d682bb0ab348045a650aabceab3c


Detailed log of new commits:

Author: mkv
Date: Wed Aug 19 13:36:09 2015 +0300

    Small correction

(0044425)
mkv (tester)
2015-08-19 13:37

Dear BugMaster,
Branch CR26538 is TESTED.
(0046929)
git (administrator)
2015-10-16 16:23

Branch CR26538 has been deleted by kgv.

SHA-1: e8fb63d2d952d682bb0ab348045a650aabceab3c

- Related Changesets
occt: master d437b80d
Timestamp: 2015-08-20 13:49:48
Author: apl
Committer: ski
Details ] Diff ]
0026538: Visualization - Infinite growth of maxtrix stack in OpenGl_Structure::Render

Test case for issue CR26538
Small correction
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
add - tests/bugs/vis/bug26538 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-10 15:07 dbp New Issue
2015-08-10 15:07 dbp Assigned To => apl
2015-08-13 15:59 git Note Added: 0044091
2015-08-13 15:59 apl Status new => assigned
2015-08-13 16:02 apl Note Added: 0044092
2015-08-13 16:02 apl Assigned To apl => dbp
2015-08-13 16:02 apl Status assigned => resolved
2015-08-13 16:02 apl Steps to Reproduce Updated View Revisions
2015-08-13 16:12 bugmaster Project Salome => Open CASCADE
2015-08-17 10:03 dbp Note Added: 0044333
2015-08-17 10:03 dbp Assigned To dbp => bugmaster
2015-08-17 10:03 dbp Status resolved => reviewed
2015-08-17 12:16 git Note Added: 0044338
2015-08-17 12:45 mkv Assigned To bugmaster => mkv
2015-08-18 19:45 mkv Note Added: 0044393
2015-08-18 19:47 mkv Note Added: 0044394
2015-08-18 19:47 git Note Added: 0044395
2015-08-18 19:48 mkv Note Added: 0044396
2015-08-18 19:48 mkv Assigned To mkv => apl
2015-08-18 19:48 mkv Status reviewed => feedback
2015-08-18 19:48 mkv Test case number => bugs vis bug26538
2015-08-19 12:48 apl Note Added: 0044416
2015-08-19 12:48 apl Assigned To apl => mkv
2015-08-19 12:48 apl Status feedback => reviewed
2015-08-19 13:36 git Note Added: 0044424
2015-08-19 13:37 mkv Note Added: 0044425
2015-08-19 13:37 mkv Assigned To mkv => bugmaster
2015-08-19 13:37 mkv Status reviewed => tested
2015-08-19 14:36 abv Summary Visualization - Infinite growth of maxtrix stack in OpenGl_Structure::Render => Visualization - Infinite growth of matrix stack in OpenGl_Structure::Render
2015-08-21 13:40 ski Changeset attached => occt master d437b80d
2015-08-21 13:40 ski Assigned To bugmaster => ski
2015-08-21 13:40 ski Status tested => verified
2015-08-21 13:40 ski Resolution open => fixed
2015-08-25 11:43 abv Relationship added child of 0026344
2015-10-16 16:23 git Note Added: 0046929
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker